<template>
	<div class="q-pa-md q-gutter-md">
		<q-chip :color="ps.validated?'green-11':'grey-1'" clickable v-for="(ps, index) in props.row.pseudosyns" :key="ps.id" >
			<q-menu>
				<q-list style="min-width: 100px">
					<q-item clickable v-close-popup @click="saveData(index)">
						<q-item-section>{{ps.validated?'Invalidate':'Validate'}}</q-item-section>
					</q-item>
				</q-list>
			</q-menu>
			<q-avatar :color="ps.validated?'green':'red'" text-color="white">{{round2decimals(ps.distance)}}</q-avatar>
			{{ps.form}} 
			<q-badge dense outline color="info">{{ps.pos}}</q-badge>
		</q-chip>
	</div>
</template>

<script>


export default {
	props: ['props', 'parentSaveData'],
	data() {
		return {

		}
	},
	methods: {
		round2decimals(number){
			return (Math.round(number*100));//.toFixed(2);
		},
		saveData(index){
			this.$props.props.row.pseudosyns[index].validated = ! this.$props.props.row.pseudosyns[index].validated;
			this.$props.parentSaveData(this.$props.props.row, 'pseudosyns');
		}
	}
}
</script>